Skip to main content
PATCH
/
api
/
models
/
{model_id}
Update Model
curl --request PATCH \
  --url https://api.example.com/api/models/{model_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
{
  "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "model_type": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "problem_type": "<string>",
  "status": "processing",
  "capabilities": [],
  "current_metrics": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

model_id
string<uuid>
required

Body

application/json

Request to update model metadata.

name
string | null
description
string | null

Response

Successful Response

Model response model.

model_id
string<uuid>
required
name
string
required
model_type
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string | null
problem_type
string | null
status
string
default:processing
capabilities
string[]
current_metrics
Current Metrics · object